<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFileList Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : GetFileList Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

lEdmGetFileListFlags
  Combination of EdmGetFileListFlag bits

Gets a list of the files in this batch.

# Syntax

Visual Basic |
--- | ---

    Function GetFileList( _
       ByVal lEdmGetFileListFlags As System.Integer _
    ) As EdmSelectionList5

C# |
--- | ---

    EdmSelectionList5 GetFileList(
       System.int lEdmGetFileListFlags
    )

C++/CLI |
--- | ---

    EdmSelectionList5^ GetFileList(
    &   System.int lEdmGetFileListFlags
    )

#### Parameters

lEdmGetFileListFlags
  Combination of EdmGetFileListFlag bits

#### Return Value

IEdmSelectionList5; list of files in this batch

# Example

See the IEdmBatchGet examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional